;** Example wrapper for autoz code (Baldry et al. 2014, MNRAS, 441, 2440). 
;** In addition, one may need to edit individual routines such as 
;** do_crosscorr.pro, which sets the search redshift ranges. 

;; <code> to read in list of filenames
num_speccat = n_elements(filenames)

;** set up log_lambda_rebin for desired cross-correlation range
set_up_log_lambda, gap, log_lambda_rebin, velocity_gap=velocity_gap

;** read in template data and bin onto oversampled scale
;** chose template numbers with keyword if desired
tdata_rebin = rebin_template_data(log_lambda_rebin)

;** set up output structure for results
dataall = set_up_allz_structure(num_speccat, num_peaks=num_peaks, /default)

;** start clock for timing code
A = systime(1.)

for i=0, num_speccat-1 do begin

;;  <code> to read in spectrum and error spectrum, etc.; 
;;  spec =, errorspec =, lambda =, header = 
;;  <code> to define flux calibration if desired; inv_correction = 
;;  <code> to obtain helio correction; helio_velocity = 
;;  set helio correction to zero if on heliocentric wavelength

;** run through autoz for a single spectrum, add in other keywords if necessary
  dataall[i] = autoz_singlespec(spec, errorspec, lambda, $
    num_peaks=num_peaks, log_lambda_rebin=log_lambda_rebin, gap=gap, $
    tdata_rebin=tdata_rebin, helio_velocity=helio_velocity, $
    inv_correction=inv_correction)

;** <code> to assign useful information to dataall; dataall[i].??? = 

  if i MOD 200 EQ 0 then print, 'Up to', i, (systime(1.) - A)/60., '  min'
endfor

;** change format and calculate figure of merit
autoz = convert_z_format(dataall)

;; <code> to save data

end
