FUNCTION air_from_vacuum, VAC
;** Convert from vacuum wavelengths to air wavelengths.
;** Equation from SDSS web page 
;** http://www.sdss.org/dr7/products/spectra/vacwavelength.html. 
;** Reference to Morton (1991, ApJS, 77, 119). 
;** Written by Ivan Baldry.

AIR = VAC / (1.0 + 2.735182E-4 + 131.4182 / VAC^2 + 2.76249E8 / VAC^4)

return, AIR

end
