FUNCTION find_max, x_array, y_array, n=n, double=double, status=status
;** Find maximum of y_array and fit quadratic using nearby points.
;** Written by Ivan Baldry. 

length = n_elements(x_array)
if keyword_set(n) EQ 0 then n = 4
x_pts = indgen(length)

;** find highest point of array, integer wise
max_y = max(y_array, x_max_pt)

y_adjusted = y_array - max_y

;** fit quadratic to points +-n of x_max_pt
use_pts = where( x_pts GE x_max_pt-n AND x_pts LE x_max_pt+n )

Result = poly_fit(x_array[use_pts], y_adjusted[use_pts], 2, $
  double=double, status=status) 

if n_elements(Result) EQ 3 then begin
;** Solve for dY/dX = 0:  2*Result(2)*X + Result(1) = 0
  x_center = -0.5 * Result[1] / Result[2] 
endif else begin
  print, '% FIND_MAX: quadratic fit failed'
  x_center = x_array[x_max_pt]
endelse

return, x_center

end
