FUNCTION match_values, valuesA, valuesB, interpol=interpol, $
  remove_all=remove_all
;** Matching for 1D values or indexes, 
;** returned array should have the same length as valuesA. 
;** (There should be no need to use interpol keyword for indexes.)
;** Written by Ivan Baldry. 

if keyword_set(remove_all) EQ 1 then begin
;** remove all white space from strings
  valuesA = strcompress(valuesA, /remove_all)
  valuesB = strcompress(valuesB, /remove_all)
endif

numB = n_elements(valuesB)
sort_indexesB = sort(valuesB)

if keyword_set(interpol) EQ 1 then begin

;** using interpol function
;** find nearest entry, by value, in list B for every value in A
;** return index between 0 and numB-1 
  sort_valuesB = double(valuesB[sort_indexesB])
  result = interpol(dindgen(numB),  sort_valuesB, double(valuesA))
  mindx = sort_indexesB[round(result) > 0 < (numB-1)]

endif else begin

;** using ** value_locate function **, find exact match, for indexes
;** returned mindx is index to valuesB for valuesA
  sort_valuesB = valuesB[sort_indexesB]
  result = value_locate(sort_valuesB, valuesA)
  mindx = sort_indexesB[result > 0 < (numB-1)]

;** set no matches in valuesA to -1
  use_no_match = where(valuesB[mindx] NE valuesA, count_no_match)
  if count_no_match GE 1 then mindx[use_no_match] = -1

endelse

return, mindx

end
