FUNCTION mean_reject, data, num_reject
;** Take the mean of a set of values after rejecting num_reject lowest 
;** and num_reject highest values.
;** This is called the 'trimmed mean' or 'truncated mean'.
;** Written by Ivan Baldry. 

if keyword_set(num_reject) then begin

;** sort data
  data_values = data[sort(data)]
  num = n_elements(data_values)

  st_pt = num_reject
  end_pt = num - 1 - num_reject

  result = mean(data_values[st_pt:end_pt])

endif else result = mean(data)

return, result

end
