FUNCTION percentiles, data, percentile_points, data_sort=data_sort
;** Function to determine percentile points 0.0 - 1.0 of data
;** e.g. one_sigma_range = percentiles(data, [0.16,0.84])
;** Written by Ivan Baldry.

data_sort = data( sort(data) )

num = n_elements(data_sort)
gap = 1.0/num
reference_points = findgen(num)*gap + gap/2.0

data_points = interpol( data_sort, reference_points, percentile_points )

return, data_points

end
