FUNCTION read_gama_spectrum, file, lambda=lambda, header=header,$
  inv_correction=inv_correction, silent=silent
;** Read a single gama spectrum from the database.
;** Set up lambda and inverse correction for flux calibration.
;** Written by Ivan Baldry. 

;** read in data and extract non flux-calibrated spectra
data = mrdfits(file, 0, header, silent=silent)

;** determine wavelength scale
lambda = sxpar(header,'CRVAL1') + sxpar(header,'CD1_1') * $
  ( dindgen(n_elements(data[*,0])) + 1 - sxpar(header,'CRPIX1') )

;** set relative flux 'calibration' as a function of microns
res = [  -3.406,  22.175, -49.208,  55.037, -23.441]
inv_correction = poly_calc(res, lambda/10000.)

return, data

end
