FUNCTION set_up_allz_structure, num_speccat, num_peaks=num_peaks,$
  default=default
;** Set up structure to contain Autoz measurements. 
;** If num_peaks changes between calls then need to 
;** reset structure names, e.g., .reset in IDL. 
;** Written by Ivan Baldry. 

if keyword_set(default) or (keyword_set(num_peaks) EQ 0) then num_peaks = 4

data = {allz_structure_v3, specid: '', filedate: '', ra: double(0), $
  dec: double(0), imageid: '', helio_vc: 0.0, $
  count_badpixel: 0, count_highval: 0, count_lowval: 0, $
  meanad_norm: 0., rms_norm: 0., $
  template: intarr(num_peaks)-1, cc_raw: fltarr(num_peaks), $
  cc_sigma: fltarr(num_peaks), z_peak: fltarr(num_peaks)-1., $
  z_fitted: fltarr(num_peaks)-1., num_tp: intarr(num_peaks), $
  halfpeak_pixels: intarr(num_peaks)}

if num_speccat GT 1 then $
  dataall = replicate(data, num_speccat) else dataall = data

return, dataall

end
