PRO set_up_log_lambda, gap, log_lambda, oversample=oversample, highz=highz,$
  low_value=low_value, high_value=high_value, velocity_gap=velocity_gap
;** Define scale for rebinning in cross correlation.
;** Written By Ivan Baldry. 

sdss_gap = 0.0001D
;** oversample the SDSS log wavelength gap, default is a factor of 5
if keyword_set(oversample) EQ 0 then gap = sdss_gap / 5 else $
  gap = sdss_gap / oversample

;** full range has to be sufficiently large to avoid wrapping round 
;** when measuring allowed redshift range
if keyword_set(low_value)  EQ 0 then begin
  if keyword_set(highz) EQ 0 then low_value  = 3.3 else low_value = 2.8
endif
if keyword_set(high_value) EQ 0 then high_value = 4.0

velocity_gap = gap*alog(10)*2.998E5
print, '% SET_UP_LOG_LAMBDA: Velocity rebinned gap', velocity_gap

num = round( (high_value - low_value)/gap )

log_lambda = low_value + gap*dindgen(num)

print, '% SET_UP_LOG_LAMBDA: Num points and range ', $
  num, 10.^log_lambda[0], 10.^log_lambda[num-1]

end
